#ifndef TEQUIVCHARS_H
#define TEQUIVCHARS_H

#include "tdelibs_export.h"

#include <tqstring.h>

/**
 *  Class representing a mapping of each alphanumeric character to its "collating
 *  equivalent" as defined by the Default Unicode Collation Entity Table (DUCET).
 *  The mapping is limited to single-codepoint characters <= U+FFFF.
 */
class TDECORE_EXPORT TEquivChars
{
public:
  /**
      @return copy of @param inputString modified such that each alphanumeric
      character is replaced with it's collating character equivalent. If the
      value @param isRegex is true, the input string is treated as a regular
      expression and the alphabetical characters inside Posix bracket [::]
      expressions are left as-is 
   */
  static const TQString replaceChars( const TQString &inputString, bool isRegex = false );
};

#endif // TEQUIVCHARS_H
